Subject: bug#8643: 'who' command bug

From: "Alan Curry" <[email-masked]>
Date: Tue, 10 May 2011 18:15:01 -0500 (GMT+5)

Bob Proulx writes:
> 
> ding bat wrote:
> > I was using Who to list all users connected to pptpd vpn server with
> > maverick 10.10.
> > I put natty on the computer and now the who command does not list out the
> > vpn users. It only seems to list out local logged in user.
> > any thoughts,.... this issue is killing me.....
> > I can still do 'last |grep ppp' and get joy, but 'w' and 'who' were very
> > nice.
[...]
> I am not an Ubuntu user and do not have a system to test with and so I
> do not know what programs you would be running when you log in with
> Ubuntu's Natty.  You will need to look at your system and determine
> what login manager you are using.  This is probably gdm but might be
> gdm3 but possibly one of several others.  You will need to determine
> what terminal program you are using.  This is probably gnome-terminal
> but possibly one of several others.  Both of those programs either
> should (or should not) be logging user login information to utmp.

Bob apparently doesn't know what pptpd is. Or what "VPN" means. Or what PPP
is. Or didn't read very carefully.

But he's probably right anyway. The bug is more likely to be in pppd than
anywhere else. It's weird that it would write to wtmp (for last) but not utmp
(for who). Check the config files for recent changes, and if you can't find
the cause, find someplace that gives help with pppd.

An strace of the pppd process during connection setup could be enlightening.

-- 
Alan Curry